package com.wms_main.constant.enums.wms;

import lombok.Getter;

@Getter
public enum OrderStatusEnum {

    TEMP(-1, "暂存"),
    CREATE(0, "创建"),
    RUNNING(1, "运行中"),
    COMPLETE(2, "完成"),
    CANCEL(3, "取消"),
    ERROR(4, "错误");

    private Integer code;
    private String desc;

    OrderStatusEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

}
